Subject: Trainer Candidate - Mohammed Imroz Shareef
From: Mohammed Imroz Shareef <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 24 Jul 2021 04:38:27 -0400

| | Tech Support Test

Name | Mohammed Imroz Shareef
E-mail | [email-masked]
Phone Number | (91) 6304431224
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I can commute using other transport like Rickshaw
Where do you currently live (area) | Hyderabad

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | NA | NA | NA | NA
Previous Employer 1 | Al Nowras logistics solutions (Oman) | Regional Sales head | Dec 21020 | 133000
Previous Employer 2 | Global Specialty Chemicals (UAE) | Sales manager export | June2017 | 110000

If Selected, how much time do you need to join? | Immediately

Please briefly describe your work experience specifically in training?

I have worked for GE capital RSF collections out bound calls. I was mentor for new joiners. Handled many new joiners.
In ICICI I was SM (Sales manager) and I had train RM (Relationship Managers) and guide them how to traget customers, how to close the deal because how to closed deal is very very important in the entire process.
In Jotun Paints Oman I was assisting supply chain manager. I had around 25 people, which includes customer service department, warehouse stuff and transportation stuff. It is extremely tough to handle customer service stuff along with coordinating warehouse stuff and transportation stuff. Managing all excalated issues which involves calling customers and solving they issues.

Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | Yes

Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team.

When I was working in GE capital one of my junior was communicating with 1 old lady in USA. Where she received penalty charges for not making payment in time and she had 4 past due charges. Well actually she maid payment in time but she missed out few cents and due to that she received penalty charges and she was not aware of those charges due to which she was receiving penalty charges every month. When my junior was communicating with her, she was not ready to pay anything just for few cents. Then my junior escalated call to me. She was very very old lady approx 80yrs old I believe and her voice was not clear because she was very angry and upset that the company charging her so much unnecessary, however call went on for almost 1 n half hour explaining her slowly. Finally she agreed to pay if I help her in discounting or waving off something. I want to help her by waving off all the charges because she was right that she made a payment believing that she made payment in full. Unfortunately I can not do so because of the company policy, however I gave her an option of waving off 1 month penalty charges if she make a payment in full one time and she agreed to do so.

This was very difficult for me because I had make sure that I can not help her by going off track from company policies.

What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | The difference between good and great customer service is often just taking a few extra steps to make customer feel valued.

What according to you makes you a good candidate for this position?

The reason I feel this position is good for me because I believe I got very very good communication skills which I can use for the Customers and at the same time keeping in mind the company policies.
I am problem solving person.
I got very good convenience and managing skills.

On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |